/*
 * $Source: /usr/local/cvsroot/erserver/erserver/java/src/com/postgres/replic/util/struct/CommandType.java,v $
 * $Author: asullivan $ $Revision: 1.1.1.1 $ $Date: 2003/08/26 19:02:31 $
 *
 */

package com.postgres.replic.util.struct;

import java.util.*;

public class CommandType implements DataConst {
    public static final int DELETE = 1;
    public static final int UPDATE = 2;
    public static final int INSERT = 3;
    public static final int SYNCID = 4;
    public static final int OK = 5;
    private int command = T_NO;

    public CommandType(int command) throws Exception {
        validate(command);
        this.command = command;
    }

    private void validate(int command) throws Exception {
    }

    public int getCommand() {
         return command;
    }

    public static String decodeCommand(int command) throws Exception {
        return null;
    }
}
